Subject: cache row creates

From: "Peter W. Gayek" <[email-masked]>
Date: Fri, 14 Jul 95 15:15:43 EDT

Here's a new issue to think about and discuss at the AIW next month.
When a mgt station wants to create a cache row entry (e.g.,
configure a local resource), it needs to assign the integer index
value for the new row.  The value chosen could collide with index
values being chosen by DLSw for new dynamic entries.  How do we ensure
this does not happen?

I think it's very desirable for the managed DLSw to control the index
value space.  One option is:
  - mgt station dumps cache and notes current max index value
  - mgt station guesses a safe new index and tries row create
  - DLSw rejects SET if the value collides, and mgt station has to
    try again

A better option Dave Chen suggested is that we expose in two new objects
(one for MAC and one for NB) the next numbers that DLSw is going to
assign.  There can be a textual convention (I think there is precedent
for this) that if the mgt station GETs that object, we return the
current value and then increment it in one operation.  This would
essentially "reserve" a value for use by the mgt station in a row
create operation.  With this approach, the procedure is:
  - mgt station reads object for table in which row is to be created
  - mgt station does row create using returned value

I hope we can discuss this at the AIW and decide on an approach.
Peter